.custom-a {
    text-decoration: none;
    color: #383838;
}

.custom-a:hover {
    font-weight: bold;
    color: #41c9a5;
}

.output-panel-success {
    background-color: #f6fffb;
}

.output-panel-error {
    background-color: #fce4e4;
}

.output-panel-error .ace_line {
    color: #ea5455 !important;
}

/**去掉他自己的错误显示  支持转移*/
.ace_gutter-cell.ace_error {
    background-image: none !important;
}


/**两个编辑框的共同的样式*/
/** 整个编辑框的文字的大小和行高*/
.ace_editor {
    font-size: 14.4px !important;
    line-height: 22px !important;
}

/**激活行的行头的背景色*/
.ace-chrome .ace_gutter-active-line {
    background-color: #f0f0f0;
}

/**行号框背景色*/
.ace-chrome .ace_gutter {
    background-color: #f0f0f0;
}


/**激活行的编辑器中的背景色*/
.ace-chrome .ace_marker-layer .ace_active-line {
    background-color: transparent;
}

/**活动光标的颜色*/
.ace-chrome .ace_cursor {
    color: #787878;
}

/**非活动光标的透明度*/
.ace_hidden-cursors .ace_cursor {
    opacity: 0;
}

/**右侧数字的颜色和大小*/
.right .ace_gutter-cell {
    color: #484848;
    font-size: 14.2px;
    font-family: var(--font-mono);
}

/**行号右侧的线*/
.right .ace_content {
    /** 这个地方不能放开，否则会导致压缩成一行的时候：<click to see more...>*/
    /* font-family: monospace, Tahoma, "微软雅黑", "幼圆" !important; */
    border-left: 1px solid #e0e0e0;
}

/**key value颜色*/
.right .ace-chrome .ace_variable {
    font-weight: 600;
}

/**选中大括号或者中括号后的样式*/
.right .ace_br15 {
    border:none;
    border-color: white !important;
}

/**设置内容样式*/
.ace-chrome .ace_variable {
    /* color: red; */
}

.tool-form-html .ace_editor,
.tool-form-css .ace_editor,
.tool-form-js .ace_editor {
    font-family: var(--font-mono) !important;
}

.tool-form-html .ace_gutter-cell,
.tool-form-css .ace_gutter-cell,
.tool-form-js .ace_gutter-cell {
    font-family: var(--font-mono);
}